Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.java.metadata
Class PackageMetadata

    java.lang.Object
      org.modeshape.sequencer.java.metadata.PackageMetadata

    public class PackageMetadata

extends Object

Package meta data.

Constructor Summary
`PackageMetadata()`
`PackageMetadata(String name)`

Method Summary
`List<AnnotationMetadata>` | `getAnnotationMetada()`
`JavadocMetadata` | `getJavadocMetadata()`
`String` | `getName()`
`void` | `setAnnotationMetada(List<AnnotationMetadata> annotationMetada)`
`void` | `setJavadocMetadata(JavadocMetadata javadocMetadata)`
`void` | `setName(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PackageMetadata

    public PackageMetadata()

### PackageMetadata

    public PackageMetadata(String name)

Method Detail

### setName

    public void setName(String name)

### getName

    public String getName()

### getAnnotationMetada

    public List<AnnotationMetadata> getAnnotationMetada()

  Returns:
    annotationMetada

### setAnnotationMetada

    public void setAnnotationMetada(List<AnnotationMetadata> annotationMetada)

  Parameters:
    `annotationMetada` - Sets annotationMetada to the specified value.

### getJavadocMetadata

    public JavadocMetadata getJavadocMetadata()

  Returns:
    javadocMetadata

### setJavadocMetadata

    public void setJavadocMetadata(JavadocMetadata javadocMetadata)

  Parameters:
    `javadocMetadata` - Sets javadocMetadata to the specified value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.